$(document).ready(function(){

	var klicks = [0,0,0,0]; // kopf,augen,nase,mund
	var breite = 367;
	var anzahl_monster = 10;

	var int1, int2, int3;
	
	function blitze_starten(){
		int1 = setInterval( function() {
					blitz_eins();
				}, 	
				4000
			);
		
		int2 = setInterval( function() {
					blitz_zwei();
				}, 	
				5000
			);
		int3 = setInterval( function() {
					blitz_drei();
				}, 	
				7000
			);
	}
	
	function blitze_anhalten()
	{
	   window.clearInterval(int1);
	   window.clearInterval(int2);
	   window.clearInterval(int3);

	}
	function blitz_eins(){
		$("#container #blitz1").fadeIn(250).fadeOut(250);
	};
	
	function blitz_zwei(){
		$("#container #blitz2").fadeIn("fast").fadeOut("fast");
	};
	
	function blitz_drei(){
		$("#container #blitz3").fadeIn("fast").fadeOut("fast");
	};

	window.onblur = blitze_anhalten;
	window.onfocus = blitze_starten;
	blitze_starten();
	
	$("#kopf").click( function(){
		gesicht_bewegen(0, this)
	});//Ende der click-Funktion
	
	$("#augen").click( function(){
		gesicht_bewegen(1, this)
	} );//Ende der click-Funktion
	
	$("#nase").click( function(){
		gesicht_bewegen(2, this)
	});//Ende der click-Funktion
	
	$("#mund").click( function(){
		gesicht_bewegen(3, this)
	});//Ende der click-Funktion
	
	$("#mischen_button").click( mischen );
	$("#zurueck_button").click( zurueck );
	
	function gesicht_bewegen(i, obj){
		
		if (klicks[i] < 9){
			$(obj).animate({left:"-=367px"},500);
			klicks[i] = klicks[i]+1;
		}else{
			klicks[i] = 0;
			$(obj).animate({left:"0px"},500);
		}
	}
	
	function zurueck(){
		$(".gesicht").each(function(index){
			var endpunkt = klicks[index] * breite;
			klicks[index] = 0;
			$(this).animate({left:"+="+endpunkt+"px"},500);
		});
	}
	
	function zufallszahl_erzeugen(zahl){
		var zufallszahl = Math.floor(Math.random()*zahl);
		return zufallszahl;
	}

	function mischen(){
		$(".gesicht").each(function(index){
			var ziel_position = parseInt( (zufallszahl_erzeugen(anzahl_monster) + klicks[index]) % anzahl_monster); 
			var aktuelle_position = klicks[index] ;
			
			klicks[index] = ziel_position;
			
			if( ziel_position > aktuelle_position ) {
				var endpunkt = (ziel_position - (aktuelle_position % breite) ) * breite; 
				$(this).animate({left:"-="+endpunkt+"px"},500);
			}else if( ziel_position < aktuelle_position ){
				var endpunkt = ( (aktuelle_position % breite) - ziel_position) * breite; 
				$(this).animate({left:"+="+endpunkt+"px"},500);
			}else{
				// Beide Werte sind gleich. Nicht bewegen!
			}
		});
	};	
	
});//Ende $(document).ready
