--
-- Create database and user
-- Implicit creation of user by using GRANT
-- see: http://stackoverflow.com/questions/4528393/mysql-create-user-only-when-the-user-doesnt-exist/5415585#5415585
--

CREATE DATABASE IF NOT EXISTS race_info;
GRANT SELECT,INSERT,UPDATE,DELETE ON race_info.* TO 'runner_db_user'@'localhost' IDENTIFIED BY 'runner_db_password' WITH GRANT OPTION;
USE race_info;

-- --------------------------------------------------------

--
-- Table structure for table 'runners'
--

CREATE TABLE IF NOT EXISTS runners (
  runner_id INT NOT NULL AUTO_INCREMENT,
  first_name varchar(50) NOT NULL,
  last_name varchar(50) NOT NULL,
  gender varchar(2) NOT NULL,
  finish_time varchar(50) NOT NULL,
  PRIMARY KEY(runner_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Insert some values
--

INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("John", "Smith", "m", "25:31");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Jacob", "Walker", "m", "25:54");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Mary", "Brown", "f", "26:01");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Jenny", "Pierce", "f", "26:04");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Frank", "Jones", "m", "26:08");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Bob", "Hope", "m", "26:38");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Ryan", "Rice", "m", "28:24");
INSERT INTO runners (first_name, last_name, gender, finish_time) VALUES ("Justin", "Jones", "m", "29:14");
